SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
Kbhit.h File Reference
`#include <sys/time.h>`
`#include <termios.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

static void | cooked (void)
static void | raw (void)
static int | _kbhit (void)
static int | _getch (void)

## Variables

static struct termios | g_old_kbd_mode

## Function Documentation

static int _getch | ( | void |  | ) |

static

Definition at line 80 of file Kbhit.h.

References raw().

static int _kbhit | ( | void |  | ) |

static

Definition at line 59 of file Kbhit.h.

References raw().

static void cooked | ( | void |  | ) |

static

Definition at line 31 of file Kbhit.h.

References g_old_kbd_mode.

Referenced by raw().

static void raw | ( | void |  | ) |

static

Definition at line 37 of file Kbhit.h.

References cooked(), and g_old_kbd_mode.

Referenced by _getch(), and _kbhit().

## Variable Documentation

struct termios g_old_kbd_mode

static

Definition at line 28 of file Kbhit.h.

Referenced by cooked(), and raw().